#pragma once

#include "CoreMinimal.h"
#include "CoreMenuLoadoutPartWidget.h"
#include "CoreMenuOfferingWidget.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreMenuOfferingWidget : public UCoreMenuLoadoutPartWidget
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetHiddenOffering(bool isHidden);

public:
	UCoreMenuOfferingWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreMenuOfferingWidget) { return 0; }
